@import "reset";
@import "varibles";
@import "mixins";

body {
    font-family: 'Roboto', sans-serif;
}

.header {
    &__menu {
        display: none;
    }

    &__mobile-menu-wrapper {
        display: flex;
        justify-content: flex-end;

    }

    &__menu-icon {
        width: 44px;
        height: 37px;
        background-color: #000000;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        &__stick {
            width: 17px;
            height: 2px;
            background-color: white;
            margin-top: 2px;
        }

        &__x {
            display: none;
            color: white;
        }
    }

    &__mobile-menu {
        display: none;
    }


    &__mobile-menu__item:hover {
        background-color: #E5E5E5;
    }

    &__img {
        width: 100%;
        margin: 23px 0px 35px 0px;
    }
}

header a {
    padding: 5px 10px;
    text-decoration: none;
    text-transform: uppercase;
    color: #4E4E4E;
    @include mobileRegularText;
    cursor: pointer;
}

.menu--isActive {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: absolute;
    top: 60px;
    width: 182px;
    background-color: #F5F5F5;
}

.menu-item--isActive {
    color: #57A4A4;
}

.posts-title {
    text-transform: uppercase;
    margin-bottom: 23px;
    color: $postTitlesColor;
    @include mobileBoldText;
}

.post {
    margin-bottom: 28px;

    &__title {
        margin-top: 11px;
        @include mobileBoldText;
        color: $postTitlesColor;
    }

    &__description {
        @include mobileRegularText;
        color: #7C7C7C;
    }

    &__text {
        display: none;
    }

    &__desktop-item {
        display: none;
    }
}

.footer {
    width: 100%;
    padding: 35px;
    background-color: #000000;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &__description {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        margin-bottom: 25px;

        &__title {
            @include mobileBoldText;
            text-transform: uppercase;
            text-align: center;
            margin-bottom: 8px;
        }

        &__text {
            color: $footerTextColor;
            @include mobileRegularText;
            text-align: center;
        }
    }

    &__media-icons {
        display: flex;
        justify-content: center;
        margin-bottom: 25px;

        &__img {
            margin-right: 5px;
            cursor: pointer;
        }
    }

    &__contacts {
        &__text {
            padding: 0 25px 0 25px;
            color: $footerTextColor;
            text-align: center;
            @include mobileRegularText;
        }
    }

}

footer a {
    text-decoration: none;
    color: $footerTextColor;
}

@import "tabletStyles";
@import "desktopStyles";